<template>
  <div style="height: 600px;">
    <span class="demonstration">生产时间</span>
    <el-date-picker v-model="timeRange" type="daterange" format="YYYY/MM/DD" value-format="YYYY-MM-DD"
      start-placeholder="开始时间" end-placeholder="结束时间" :default-time="defaultTime" />
    <el-select v-model="report.type" placeholder="清选择类型">
      <el-option label="全部" value="0"></el-option>
      <el-option label="完工" value="1"></el-option>
      <el-option label="破损" value="2"></el-option>
      <el-option label="拿走" value="3"></el-option>
    </el-select>
    <el-select v-model="report.status" placeholder="清选择状态">
      <el-option label="全部" value="0"></el-option>
      <el-option label="未报工" value="1"></el-option>
      <el-option label="待报工" value="2"></el-option>
      <el-option label="已报工" value="3"></el-option>
    </el-select>
    <el-select v-model="report.workingProcedure" placeholder="清选择工序">
      <el-option label="全部" value="0"></el-option>
      <el-option label="切割" value="1"></el-option>
      <el-option label="磨边" value="2"></el-option>
      <el-option label="钢化" value="3"></el-option>
    </el-select>
    <el-button type="primary" @click="selectReportData()">查询</el-button>
    <el-button type="success">报工</el-button>
    <el-table height="100%" ref="table" :data="reportData"
      :header-cell-style="{ background: '#F2F3F5 ', color: '#1D2129' }">
      <el-table-column prop="teamsGroupsName" align="center" label="报工班组" min-width="120" />
      <el-table-column prop="deviceName" align="center" label="报工设备" min-width="120" />
      <el-table-column prop="line" align="center" label="线路" min-width="120" />
      <el-table-column prop="workingProcedure" align="center" label="工序" min-width="120" />
      <el-table-column prop="glassId" align="center" label="玻璃id" min-width="120" />
      <el-table-column prop="engineerId" align="center" label="工程号" min-width="120" />
      <el-table-column prop="temperingLayoutId" align="center" label="钢化版图id" min-width="120" />
      <el-table-column prop="damageTime" align="center" label="生产时间" min-width="120" />
      <el-table-column prop="type" align="center" label="类型" min-width="120" />
      <el-table-column prop="status" align="center" label="状态" min-width="120" />
      <el-table-column prop="processId" align="center" label="流程卡" min-width="120" />
      <el-table-column prop="orderNumber" align="center" label="序号" min-width="120" />
      <el-table-column prop="technologyNumber" align="center" label="层" min-width="120" />
      <el-table-column prop="breakageType" align="center" label="破损类型" min-width="120" />
      <el-table-column prop="breakageReason" align="center" label="破损原因" min-width="120" />
      <el-table-column prop="responsibleProcess" align="center" label="责任工序" min-width="120" />
      <el-table-column prop="responsiblePersonnel" align="center" label="责任人员" min-width="120" />
      <el-table-column prop="responsibleTeam" align="center" label="责任班组" min-width="120" />
      <el-table-column prop="responsibleEquipment" align="center" label="责任设备" min-width="120" />
      <el-table-column prop="remark" align="center" label="备注" min-width="120" />
    </el-table>
  </div>
</template>
<script setup>
import { Delete, Upload } from '@element-plus/icons-vue'
import { ElMessage, ElMessageBox } from 'element-plus'
import { ref, onMounted, onBeforeUnmount, reactive, computed, shallowRef, onUnmounted, watchEffect } from "vue";
import request from "@/utils/request"
import { WebSocketHost, host } from '@/utils/constants'
import { initializeWebSocket, closeWebSocket } from '@/utils/WebSocketService';
import { useI18n } from 'vue-i18n'
const { t } = useI18n()
const report = ref({
  type: '0',
  status: '0',
  workingProcedure: '0',
});
const reportData = ref([])
const timeRange = ref(["2022-01-01", "2022-01-01"])


// 查询数据
const selectReportData = async () => {
  const response = await request.post("/cacheVerticalGlass/damage/selectDamage", {
    startTime: timeRange.value[0],
    endTime: timeRange.value[1],
    type: report.value.type,
    status: report.value.status,
    workingProcedure: report.value.workingProcedure
  })
  if (response.code === 200) {
    reportData.value = response.data;
    ElMessage.success(response.message);
  } else {
    ElMessage.error(response.message);
  }

  const responses = await request.post("/cacheVerticalGlass/damage/insertDamage", {
    glassId:"P24060403|3|6",
    line:"2001",
    workingProcedure:"冷加工",
    remark:"",
    status:"2"
  })
};

const socketUrl = `ws://${WebSocketHost}:${host}/api/temperingGlass/api/talk/screen`;
const handleMessage = (data) => {
  // adjustedRects.value = data.device[0].map(rect => ({  
  //       ...rect, 
  //       completed: rect.completedQuantity,
  //       breakage: rect.breakageQuantity,
  //       thisProcess: rect.thisProcess,
  //     })); 
};
let socket;
onMounted(() => {
  socket = new WebSocket(socketUrl);
  socket.onmessage = (event) => {
    const data = JSON.parse(event.data);

    // updateCharts();
  };
  // };  
});




onUnmounted(() => {
  socket.close();
});

onMounted(() => {
  // fetchFlowCardId();
  // fetchTableData(); // 获取数据
  initializeWebSocket(socketUrl, handleMessage);
});
onBeforeUnmount(() => {
  console.log("关闭了")
  closeWebSocket();
});
</script>

<style scoped></style>